6.0.0-git
2019-10-16

[#3050] Sorting doesn't work anymore
Summary Sorting doesn't work anymore
Queue IMP
Queue Version HEAD
Type Bug
State Resolved
Priority 3. High
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2005-11-27 (5071 days ago)
Due
Updated 2008-08-13 (4081 days ago)
Assigned 2005-11-28 (5070 days ago)
Resolved 2006-01-02 (5035 days ago)
Milestone
Patch No

History
2008-08-13 22:48:49 dion (dot) rowney (at) usask (dot) ca Comment #10 Reply to this comment
This was fixed a long time ago.
I am seeing this in IMP v4.2 Final
2008-08-13 22:47:11 dion (dot) rowney (at) usask (dot) ca Comment #9 Reply to this comment
This was fixed a long time ago.
So what is the resolution to correct this for people experiencing this?
2006-01-02 06:25:51 Michael Slusarz Comment #8
State ⇒ Resolved
Reply to this comment
This was fixed a long time ago.
2005-11-28 10:39:48 Jan Schneider Comment #7 Reply to this comment
No wonder, you turned factory() into a singleton method without the 
scope in the signature. But scope switching in Prefs is done by 
merging the current preferences with the prefs of the new scope. This 
results in a huge prefs hash with all preference from all scopes 
merged. But we allow prefs with the same name in different scopes, 
thus Nag's sortby pref overwrites IMP's sortby pref etc.
2005-11-28 10:08:56 Jan Schneider Comment #6 Reply to this comment
This happens if a application switch in the registry is made after a 
local preference has been set.
2005-11-28 00:06:26 Jan Schneider Comment #5
State ⇒ Assigned
Reply to this comment
Not for me. I still see this in both HEAD and F3.
2005-11-27 22:17:58 Chuck Hagenbuch Comment #4
State ⇒ Resolved
Reply to this comment
Yes, thanks.
2005-11-27 16:10:51 Chuck Hagenbuch Comment #2 Reply to this comment
Confirmed, although for me it's by arrival date (message #), not sent date.
2005-11-27 13:33:49 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 3. High
Summary ⇒ Sorting doesn't work anymore
Queue ⇒ IMP
Assigned to Michael Slusarz
Reply to this comment
Mailboxes are always sorted by date now, sorting order and direction 
can't be changed anymore.

Saved Queries